aboutsummaryrefslogtreecommitdiffstats
path: root/.gitlab-ci/prepare-artifacts.sh
diff options
context:
space:
mode:
authorMichel Dänzer <[email protected]>2019-10-23 18:42:53 +0200
committerMichel Dänzer <[email protected]>2019-11-12 10:14:26 +0100
commit59fcb019d02804f721477cac11fa6c23f1850ef1 (patch)
treed3ffc761596d4656f9ddb91e8f0678fb17269614 /.gitlab-ci/prepare-artifacts.sh
parent2921a38484b2d390158f6844f1654b787900226e (diff)
gitlab-ci: Move artifact preparation to separate script
It's currently only needed for the meson-main and meson-arm64 jobs, not the other meson build jobs. Also remove MESON_SHADERDB, just run .gitlab-ci/run-shader-db.sh directly from the meson-main job. v2: * Also run prepare-artifacts.sh in meson-arm64 script v3: * Move tarball creation into the new script as well, as it prevented ccache --show-stats from running in after_script Reviewed-by: Eric Engestrom <[email protected]> # v1 Reviewed-by: Eric Anholt <[email protected]>
Diffstat (limited to '.gitlab-ci/prepare-artifacts.sh')
-rwxr-xr-x.gitlab-ci/prepare-artifacts.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/.gitlab-ci/prepare-artifacts.sh b/.gitlab-ci/prepare-artifacts.sh
new file mode 100755
index 00000000000..6df00da434e
--- /dev/null
+++ b/.gitlab-ci/prepare-artifacts.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+set -o xtrace
+
+# Delete 2MB of includes from artifacts.
+rm -rf install/include
+
+# Strip the drivers in the artifacts to cut 80% of the artifacts size.
+if [ -n "$CROSS" ]; then
+ STRIP=`sed -n -E "s/strip\s*=\s*'(.*)'/\1/p" "$CROSS_FILE"`
+ if [ -z "$STRIP" ]; then
+ echo "Failed to find strip command in cross file"
+ exit 1
+ fi
+else
+ STRIP="strip"
+fi
+find install -name \*.so -exec $STRIP {} \;
+
+# Test runs don't pull down the git tree, so put the dEQP helper
+# script and associated bits there.
+mkdir -p artifacts/
+cp -Rp .gitlab-ci/deqp* artifacts/
+# cp -Rp src/freedreno/ci/expected* artifacts/
+
+# Tar up the install dir so that symlinks and hardlinks aren't each
+# packed separately in the zip file.
+tar -cf artifacts/install.tar install